/******************************************************************************
 * JibsDocument - Colored text in a pane.
 * $Id: JibsDocument.java,v 1.2 2011/05/31 14:50:48 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: JibsDocument.java,v $
 * Revision 1.2  2011/05/31 14:50:48  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.gui;

import javax.swing.text.AttributeSet;
import javax.swing.text.BadLocationException;
import javax.swing.text.DefaultStyledDocument;

/** The console panel in the jIBS window.
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.2 $ <br> $Date: 2011/05/31 14:50:48 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/gui/JibsDocument.java">cvs JibsDocument.java</a>
 */
public class JibsDocument extends DefaultStyledDocument {
	private static final long serialVersionUID = 8502172113439079411L;
	private String[] content = null;
	private int maxLines = 0;
	private int nLine = 0;
	private int curLine;

	public JibsDocument(int maxLines) {
		this.maxLines = maxLines;
		content = new String[maxLines];
		curLine = 0;
	}

	public void insertString(int offset, String str, AttributeSet a)
	throws BadLocationException {
		if (nLine >= maxLines) {
			this.remove(0, getLength());

			for (int y = 1; y < maxLines; y++) {
				String curLine = (String) content[y];

				content[y - 1] = curLine;
				super.insertString(getLength(), curLine, null);
			}

			curLine = maxLines - 1;
		}

		super.insertString(getLength(), str, null);
		content[curLine++] = str;
		nLine++;
	}
}
