/******************************************************************************
 * JibsStatusBar - The status bar at the bottom of the main window.
 * $Id: JibsStatusBar.java,v 1.2 2011/05/31 14:50:48 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: JibsStatusBar.java,v $
 * Revision 1.2  2011/05/31 14:50:48  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.gui;

import net.sourceforge.jibs.server.JibsServer;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import java.text.DateFormat;

import java.util.Date;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.SwingUtilities;
import javax.swing.Timer;

/** The status bar at the bottom of the main window.
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.2 $ <br> $Date: 2011/05/31 14:50:48 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/gui/JibsStatusBar.java">cvs JibsStatusBar.java</a>
 */
public class JibsStatusBar extends JPanel {
	private static final long serialVersionUID = 7317884893631435720L;
	private JLabel txtDate = null;
	private JTextField txtPlayer = null;
	private Timer timer = null;

	public JibsStatusBar(JibsServer jibsServer) {
		txtDate = jibsServer.getJibsGUI().getStatusDate();
		txtPlayer = jibsServer.getJibsGUI().getStatusPlayer();
		timer = new Timer(1000,
				new ActionListener() {
			public void actionPerformed(ActionEvent evt) {
				SwingUtilities.invokeLater(new Runnable() {
					public void run() {
						Date dt = new Date();
						DateFormat df = DateFormat.getTimeInstance(DateFormat.MEDIUM);
						String txt = df.format(dt);
						txtDate.setText(txt);
					}
				});
			}
		});
		timer.start();
	}

	public JTextField getPlayerLabel() {
		return txtPlayer;
	}
}
