/******************************************************************************
 * JibsUserPanel.java - The panel that contains the Players table.
 * $Id: JibsUserPanel.java,v 1.2 2011/05/31 14:50:48 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: JibsUserPanel.java,v $
 * Revision 1.2  2011/05/31 14:50:48  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.gui;

import com.ibatis.sqlmap.client.SqlMapClient;

import net.sourceforge.jibs.server.JibsServer;
import net.sourceforge.jibs.server.Player;

import java.sql.SQLException;

import java.util.List;

import javax.swing.JPanel;

/** The panel that contains the Players table.
*
* @author Axel Leucht
* @author Dick Balaska
* @version $Revision: 1.2 $ <br> $Date: 2011/05/31 14:50:48 $
* @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/gui/JibsUserPanel.java">cvs JibsUserPanel.java</a>
*/
public class JibsUserPanel extends JPanel {
    private static final long serialVersionUID = 2091053677555167005L;
    private JibsServer jibsServer;
    private JibsUserTableModel jibsUserTableModel = null;

    public JibsUserPanel(JibsServer jibsServer) {
        this.jibsServer = jibsServer;
        this.jibsUserTableModel = jibsServer.getUserTableModel();
    }

    @SuppressWarnings("unchecked")
    public void readAllPlayers() {
        try {
            SqlMapClient sqlMap = jibsServer.getSqlMapInstance();
            List<Player> map = sqlMap.queryForList("Player.readAllPlayer", null);
            jibsUserTableModel.getDataVector().removeAllElements();

            for (Player player : map) {
                jibsUserTableModel.getDataVector().add(player);
            }

            jibsUserTableModel.fireTableDataChanged();
        } catch (SQLException e) {
            jibsServer.logException(e);
        }
    }

    public JibsUserTableModel getJibsUserTableModel() {
        return jibsUserTableModel;
    }
}
