/******************************************************************************
 * Version - Manage the jIBS version number.
 * $Id: Version.java,v 1.1 2011/06/04 01:50:41 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: Version.java,v $
 * Revision 1.1  2011/06/04 01:50:41  dick
 * Manage the jIBS version number.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.util;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

/** Manage the jIBS version number.
 * 
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.1 $ <br> $Date: 2011/06/04 01:50:41 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/util/Version.java">cvs Version.java</a>
 */
public class Version {
	private	static String version = null;

	/** Return the jIBS version, as determined by the maven build.
	 * @return The version
	 */
	public static String getVersion() {
		if (version == null) {
			InputStream is = ClassLoader.getSystemResourceAsStream("Version.properties");
			Properties props = new Properties();
			try {
				props.load(is);
			} catch (IOException e) {
				e.printStackTrace();
			}
			version = props.getProperty("version");
		}
		return(version);
	}
}
